# Uses of Class
org.springframework.web.servlet.handler.SimpleUrlHandlerMapping

Packages that use SimpleUrlHandlerMapping
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of SimpleUrlHandlerMapping in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return SimpleUrlHandlerMapping
Modifier and Type
Method
Description
`protected SimpleUrlHandlerMapping`
DefaultServletHandlerConfigurer.`buildHandlerMapping()`
Return a handler mapping instance ordered at `Ordered.LOWEST_PRECEDENCE` containing the `DefaultServletHttpRequestHandler` instance mapped to `"/**"`; or `null` if default servlet handling was not enabled.
`protected SimpleUrlHandlerMapping`
ViewControllerRegistry.`buildHandlerMapping()`
Return the `HandlerMapping` that contains the registered view controller mappings, or `null` for no registrations.